JUCE: dsp::ProcessorChain< Processors > Class Template Reference

JUCE

Public Member Functions | List of all members
dsp::ProcessorChain< Processors > Class Template Reference
juce_dsp » processors

This variadically-templated class lets you join together any number of processor classes into a single processor which will call process() on them all in sequence. More...

`#include <juce_ProcessorChain.h>`

## Public Member Functions
template<int Index>
auto & | get () noexcept
| Get a reference to the processor at index `Index`. More...
template<int Index>
const auto & | get () const noexcept
| Get a reference to the processor at index `Index`. More...
template<int Index>
void | setBypassed (bool b) noexcept
| Set the processor at index `Index` to be bypassed or enabled. More...
template<int Index>
bool | isBypassed () const noexcept
| Query whether the processor at index `Index` is bypassed. More...
void | prepare (const ProcessSpec &spec)
| Prepare all inner processors with the provided `ProcessSpec`. More...
void | reset ()
| Reset all inner processors. More...
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept
| Process `context` through all inner processors in sequence. More...

## Detailed Description

template<typename... Processors>
class dsp::ProcessorChain< Processors >

This variadically-templated class lets you join together any number of processor classes into a single processor which will call process() on them all in sequence.

## Member Function Documentation

## ◆ get() [1/2]

template<typename... Processors>
template<int Index>

auto & dsp::ProcessorChain< Processors >::get | ( |  | ) |
| noexcept

Get a reference to the processor at index `Index`.

## ◆ get() [2/2]

template<typename... Processors>
template<int Index>

const auto & dsp::ProcessorChain< Processors >::get | ( |  | ) | const
| noexcept

Get a reference to the processor at index `Index`.

## ◆ setBypassed()

template<typename... Processors>
template<int Index>

void dsp::ProcessorChain< Processors >::setBypassed | ( | bool | b | ) |
| noexcept

Set the processor at index `Index` to be bypassed or enabled.

References gl::b.

## ◆ isBypassed()

template<typename... Processors>
template<int Index>

bool dsp::ProcessorChain< Processors >::isBypassed | ( |  | ) | const
| noexcept

Query whether the processor at index `Index` is bypassed.

## ◆ prepare()

template<typename... Processors>

void dsp::ProcessorChain< Processors >::prepare | ( | const ProcessSpec & | spec | ) |

Prepare all inner processors with the provided `ProcessSpec`.

## ◆ reset()

template<typename... Processors>

void dsp::ProcessorChain< Processors >::reset | ( |  | ) |

Reset all inner processors.

## ◆ process()

template<typename... Processors>
template<typename ProcessContext >

void dsp::ProcessorChain< Processors >::process | ( | const ProcessContext & | context | ) |
| noexcept

Process `context` through all inner processors in sequence.

References gl::index.

The documentation for this class was generated from the following file:

- juce_ProcessorChain.h